Bug 850549 - RFE Add support so an administrator can configure the condor_startd to provide per-job file system mounts
RFE Add support so an administrator can configure the condor_startd to provid...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor (Show other bugs)
Development
All Linux
medium Severity medium
: 3.0
: ---
Assigned To: Timothy St. Clair
Martin Kudlej
: FutureFeature
Depends On:
Blocks: 845292
  Show dependency treegraph
 
Reported: 2012-08-21 16:00 EDT by Timothy St. Clair
Modified: 2013-07-26 04:05 EDT (History)
3 users (show)

See Also:
Fixed In Version: condor-7.8.8-0.7
Doc Type: Rebase: Enhancements Only
Doc Text:
Important: if this rebase also contains *bug fixes* (or contains only bug fixes), select the correct option from the Doc Type drop-down list. Rebase package(s) to version: condor-7.8 series Highlights and notable enhancements: An administrator can configure the condor_startd to provide per-job file system mounts. One use might be to provide each job its own view of /tmp and /var/tmp, which are private to that Condor job, and cleared when the job exits.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-26 04:05:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Condor 2015 None None None 2012-09-06 15:04:09 EDT

  None (edit)
Description Timothy St. Clair 2012-08-21 16:00:13 EDT
On  Linux platforms which support a bind type of file system mount (which  are generally RHEL 5 systems and more recent platforms), the  administrator can configure the condor_startd to provide per-job file  system mounts. One use might be to provide each job its own view of /tmp  and /var/tmp, which are private to that Condor job, and cleared when  the job exits. This is implemented with the new MOUNT_UNDER_SCRATCH  configuration variable, which describes which directories to bind mount.
Comment 2 Martin Kudlej 2013-07-26 04:00:44 EDT
Tested with condor-7.8.8-0.4.3 on RHEL 6.4/5.9 x i386/x86_64 and it works. -->VERIFIED

Note You need to log in before you can comment on or make changes to this bug.